/*
 * 手太欠
 * 企获客商城
 */

const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        type            : '',      //cash为代金券；  rebate为折扣券；  free为免费券
        user_coupon_id  :'',//券id
        title           :'',//券标题
        price           :'',//券金额
        way             :'',//券途径
        code_url        :'',//券二维码
        code            :'',//券码编号
        type_text       :'',//券类型
        start_at        :'',//开始时间
        startend_at     :'',//结束时间
        address         :'',//核销地址
        phone           :'',//客服电话
        name            :''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {
        this.setData({
            type            : options.type,
            user_coupon_id  : options.user_coupon_id
        })
        this.couponDetails()
    },
    couponDetails(){
        wx.$api.mall.couponDetails(this.data.user_coupon_id).then(res => {
            this.setData({
                title       : res.title,
                price       : res.price,
                way         : res.way,
                code_url    : res.code_url,
                code        : res.code,
                type_text   : res.type_text,
                start_at    : res.start_at,
                end_at      : res.end_at,
                rule        : res.rule,
                address     :res.company.address,
                phone       :res.company.phone,
                name        :res.company.name,
            })
            
        })
    },
    makeCall(){
        wx.makePhoneCall({
            phoneNumber: this.data.phone 
          })
    }
})